import {combineReducers} from "redux";
import {AuthReducer} from "./AuthReducer";
import {PromiseReducer} from "./PromiseReducer";
import {CartReducer} from "./CartReducer";
import {UserReducer} from "./UserReducer";
import {CategoryReducer} from "./CategoryReducer";

export const rootReducer = combineReducers({
    auth: AuthReducer,
    promise: PromiseReducer,
    cart: CartReducer,
    user: UserReducer,
    category: CategoryReducer
})
